Package kiyut.sketsa.canvas.tool

## Class AbstractSelectionTool

- java.lang.Object
- - kiyut.sketsa.canvas.tool.AbstractTool
  - - kiyut.sketsa.canvas.tool.AbstractSelectionTool

- All Implemented Interfaces:
    `KeyListener`, `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`, `SelectionTool`, `Tool`
  Direct Known Subclasses:
    `DefaultSelectionTool`, `LassoTool`

      public abstract class AbstractSelectionTool
      extends AbstractTool
      implements SelectionTool

  Abtract Implementation of SelectionTool
  Author:
    KIYUT

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Cursor` | `cursor` | Default is Cursor.getDefaultCursor
    `protected MoveTool` | `moveTool` | Default is DefaultMoveTool
    `protected ResizeTool` | `resizeTool` | Default is DefaultReizeTool

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractSelectionTool()` | Creates a new instance of DefaultSelectionTool

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Cursor` | `getCursor()` | Return Cursor.
    `MoveTool` | `getMoveTool()` | Return MoveTool associated with this selection Tool
    `ResizeTool` | `getResizeTool()` | Return ResizeTool associated with this selection Tool

    - ### Methods inherited from class kiyut.sketsa.canvas.tool.AbstractTool

      `addMessageListener, endTool, fireMessageReceived, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, paint, removeMessageListener, setVectorCanvas, startTool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.KeyListener

      `keyPressed, keyReleased, keyTyped`

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

    - ### Methods inherited from interface java.awt.event.MouseMotionListener

      `mouseDragged, mouseMoved`

    - ### Methods inherited from interface kiyut.sketsa.canvas.tool.Tool

      `addMessageListener, endTool, paint, removeMessageListener, setVectorCanvas, startTool`

- - ### Field Detail

    - #### cursor

          protected Cursor cursor

      Default is Cursor.getDefaultCursor

    - #### moveTool

          protected MoveTool moveTool

      Default is DefaultMoveTool

    - #### resizeTool

          protected ResizeTool resizeTool

      Default is DefaultReizeTool

  - ### Constructor Detail

    - #### AbstractSelectionTool

          public AbstractSelectionTool()

      Creates a new instance of DefaultSelectionTool

  - ### Method Detail

    - #### getCursor

          public Cursor getCursor()

      Description copied from interface: `SelectionTool`
      Return Cursor.
      Specified by:
        `getCursor` in interface `SelectionTool`
      Returns:
        Cursor

    - #### getMoveTool

          public MoveTool getMoveTool()

      Description copied from interface: `SelectionTool`
      Return MoveTool associated with this selection Tool
      Specified by:
        `getMoveTool` in interface `SelectionTool`
      Returns:
        MoveTool

    - #### getResizeTool

          public ResizeTool getResizeTool()

      Description copied from interface: `SelectionTool`
      Return ResizeTool associated with this selection Tool
      Specified by:
        `getResizeTool` in interface `SelectionTool`
      Returns:
        ResizeTool